import { r as registerInstance, h } from './index-f1b570f9.js';

const sSaqhanBlogCardCss = ".blog-card{width:310px;margin:auto}.blog-img{width:310px;height:210px;background-size:cover;border-radius:3px}.blog-card{width:310px;margin:auto;margin-top:15px;margin-bottom:15px}.blog-category{font-weight:600}";

const SSaqhanBlogCard = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.ColorCategory = (nameCategory) => {
            const classCategory = "category small pt-4";
            switch (nameCategory) {
                case "Report":
                    return `report ${classCategory}`;
                case "Webinar":
                    return `webinar ${classCategory}`;
                case "Blog Post":
                    return `blog-post ${classCategory}`;
            }
        };
    }
    render() {
        return (h("div", { class: "blog-card" }, h("div", { class: "blog-img", style: { backgroundImage: "url(" + this.post.img + ")" } }), h("div", { class: this.ColorCategory(this.post.category) }, this.post.category), h("div", { class: "blog-title pt-3 font-weight-bold" }, this.post.title), h("div", { class: "btn-read pt-3" }, h("a", { href: "/second-page/" }, " ", this.post.btnText, " "))));
    }
};
SSaqhanBlogCard.style = sSaqhanBlogCardCss;

const sSaqhanNewBlogCss = "";

const SSaqhanNewBlog = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    getNewPosts(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: "row" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold" }, "New Blog Post"))), h("div", { class: "row" }, h(NewPostCard, { post: this.getNewPosts(this.blogPost) }))));
    }
};
const NewPostCard = (props) => {
    return (props.post.map((item) => {
        return h("div", { class: "col-12 col-md-6 col-lg-4 " }, h("s-saqhan-blog-card", { post: item }));
    }));
};
SSaqhanNewBlog.style = sSaqhanNewBlogCss;

const sSaqhanSubscBannerCss = ".subscribe{background-color:#000;margin-bottom:20px}.subscribe .left{padding-left:50px}.sub-title h1{font-size:52px}.btn-read a{-webkit-transition:0.3s all;transition:0.3s all;color:#6c757d;border-bottom:1px solid #6c757d}.btn-read a:hover{text-decoration:none;color:#fff;border-bottom:1px solid #fff;cursor:context-menu}.btn-custom-head{padding:10px 10px;font-size:12px;border-radius:10px !important;margin-left:-20px;height:50px;width:125px;z-index:999}.form-control{background-color:#fff0;height:50px;padding-left:40px;outline:none}.input-group i{position:relative;top:16px;left:33px;font-size:20px}.logos a{font-size:20px;margin:0px 10px;-webkit-transition:0.3s all;transition:0.3s all}.logos a:hover{color:#fff;cursor:pointer}@media (max-width: 768px){.sub-title,.subs-sub-title{text-align:center}}@media (max-width: 414px){.sub-title{font-size:40px}.subscribe .left{padding-left:0px}}";

const SSaqhanSubscBanner = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: "row subscribe d-flex justify-content-between align-items-center pt-5 pb-5 text-white" }, h("div", { class: "col-12 col-lg-6 left" }, h("div", { class: "sub-title" }, h("h1", null, "Ready to take a test drive")), h("div", { class: "subs-sub-title text-muted" }, "We'll help you elevate your video content strategy. Prices strating from $49 a month.", h("span", { class: "btn-read" }, h("a", { href: "/second-page/" }, "See\u00A0pricing")))), h("div", { class: "col-12 col-lg-6 p-3 right pr-sm-5 text-right" }, h("div", { class: "col-12" }, h("form", { class: "form" }, h("div", { class: "input-group" }, h("i", { class: "fas fa-at" }), h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }), h("div", { class: "input-group-append" }, h("button", { class: "btn btn-primary btn-custom-head", type: "submit" }, "Try it Free"))))), h("div", { class: "col-12" }, h("div", { class: "logos text-center text-muted pt-4" }, h("a", { href: "/second-page/" }, h("i", { class: "far fa-address-book" })), h("a", { href: "/second-page/" }, h("i", { class: "fas fa-paper-plane" })), h("a", { href: "/second-page/" }, h("i", { class: "fas fa-envelope" })), h("a", { href: "/second-page/" }, h("i", { class: "fas fa-map-marked" }))))))));
    }
};
SSaqhanSubscBanner.style = sSaqhanSubscBannerCss;

export { SSaqhanBlogCard as s_saqhan_blog_card, SSaqhanNewBlog as s_saqhan_new_blog, SSaqhanSubscBanner as s_saqhan_subsc_banner };
