import { r as registerInstance, h } from './index-f1b570f9.js';

const sSaqhanEventsBlogCss = ".blog-img{width:310px;height:210px;background-size:cover;margin-bottom:20px}.date-event{padding:10px;background-color:#fff;position:relative;top:8px;border-bottom-right-radius:5px}.new-blog-cards{display:-ms-flexbox;display:flex;-ms-flex-pack:distribute;justify-content:space-around}@media (max-width: 414px){.blog-card{width:85%;margin:auto}.block-title{text-align:center}}";

const SSaqhanEventsBlog = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    getEvents(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: " pt-5 pb-5" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold block-title" }, "Upcoming events")), h("div", { class: "row" }, h(EventsPost, { event: this.getEvents(this.events) })))));
    }
};
const EventsPost = (props) => {
    return props.event.map((item) => {
        return (h("div", { class: "col-12 col-md-6 col-lg-4" }, h("s-saqhan-event-card", { event: item })));
    });
};
SSaqhanEventsBlog.style = sSaqhanEventsBlogCss;

const sSaqhanFirstSliderCss = "";

const SSaqhanFirstSlider = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    mainNews(arr) {
        return (arr.filter(item => item.main) || []).slice(-1);
    }
    lentaNews(arr) {
        return (arr.filter(item => item.lenta)).slice(-4).reverse();
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: "row pt-5 pb-5" }, h("div", { class: "col-12 col-lg-7" }, h(MainNews, { arr: this.mainNews(this.blogCarouselMock) })), h("div", { class: "col-12 col-lg-5" }, h(LentaNews, { lenta: this.lentaNews(this.blogCarouselMock) })))));
    }
};
// получает и передает в компонент элементы
const MainNews = (props) => {
    return (props.arr.map((item) => {
        return h("s-saqhan-main-news-card", { mainNews: item });
    }));
};
//лента новостей
const LentaNews = (props) => {
    return (props.lenta.map((item) => {
        return h("s-saqhan-lenta-news-card", { lentaNews: item });
    }));
};
SSaqhanFirstSlider.style = sSaqhanFirstSliderCss;

const sSaqhanPopularNewsCss = ".banner{background-image:url(\"https://via.placeholder.com/900x900?text=Visit\");background-size:cover}.banner .btn-read a{color:#fff;border-bottom:1px solid #ffffff;-webkit-transition:0.3s all;transition:0.3s all}.banner .btn-read a:hover{text-decoration:none;color:#007bff;border-bottom:1px solid #007bff}@media (max-width: 414px){.banner{margin-top:50px}.blog-img{margin:auto}.block-title{text-align:center}}";

const SSaqhanPopularNews = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    getPopularNews(arr) {
        return arr.map(item => item);
    }
    render() {
        return (h("div", { class: "container" }, h("div", { class: "row pt-5 pb-5" }, h("div", { class: "col-12" }, h("h1", { class: "font-weight-bold pb-4 block-title" }, "Popular Resours")), h("div", { class: "col-12 col-lg-7" }, h("div", { class: "cards-popular" }, h(CardPopular, { post: this.getPopularNews(this.popularNews) }))), h("div", { class: "col-12 col-lg-5 p-5 p-lg-0 banner d-flex align-items-center flex-column justify-content-center" }, h("div", { class: "banner-title text-center text-white" }, "Storyteller Circle ", h("br", null), "Event Series"), h("div", { class: "btn-read pt-3" }, h("a", { href: "#" }, "Watch Webinar"))))));
    }
};
const CardPopular = (props) => {
    return (props.post.map((item) => {
        return h("s-saqhan-popular-card", { post: item });
    }));
};
SSaqhanPopularNews.style = sSaqhanPopularNewsCss;

export { SSaqhanEventsBlog as s_saqhan_events_blog, SSaqhanFirstSlider as s_saqhan_first_slider, SSaqhanPopularNews as s_saqhan_popular_news };
